---
title: MediaSessionActionDetails.seekTime
slug: Web/API/MediaSessionActionDetails/seekTime
tags:
  - API
  - Audio
  - Media
  - Media Session API
  - MediaSession
  - MediaSessionActionDetails
  - Property
  - Reference
  - Scrub
  - Time
  - Video
  - absolute
  - forward
  - reverse
  - seek
  - seekTime
---
<p>{{APIRef("Media Session API")}}</p>

<p><span class="seoSummary">The {{domxref("MediaSessionActionDetails")}} dictionary's <code><strong>seekTime</strong></code> property is always included when a <code><a href="/en-US/docs/Web/API/MediaSessionActionDetails#seekto">seekto</a></code> action is sent to the action handler callback. Its value is the absolute time, in seconds, to move the current play position to.</span></p>

<p>To change the time by an offset rather than moving to an absolute time, the <code><a href="/en-US/docs/Web/API/MediaSessionActionDetails#seekforward">seekforward</a></code> or <code><a href="/en-US/docs/Web/API/MediaSessionActionDetails#seekbackward">seekbackward</a></code> actions should be used instead.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>mediaSessionActionDetails</em> = { seekTime: <em>absTimeInSeconds</em> };

let <em>absTime</em> = <em>mediaSessionActionDetails</em>.seekTime;
</pre>

<h3 id="Value">Value</h3>

<p>A floating-point value indicating the absolute time in seconds into the media to which to move the current play position.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>To perform a "fast" seek (such as when issuing multiple <code>seekto</code> actions in sequence while handling a scrubbing operation, the details object's {{domxref("MediaSessionActionDetails.fastSeek", "fastSeek")}} property's value is set to <code>true</code>, indicating that you should minimize or eliminate anything you do while handling the action that is only necessary at the final step.</p>

<p>If the value of <code>fastSeek</code> is false, or <code>fastSeek</code> is missing, the action should be treated as the final action of the operation, and you should finalize any details that need to be handled.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Session','#dom-mediasessionactiondetails-seektime','MediaSessionActionDetails.seekTime')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaSessionActionDetails.seekTime")}}</p>

<ul>
</ul>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Session_API">Media Session API</a></li>
 <li>Refer to the {{domxref("MediaSession")}} method {{domxref("MediaSession.setActionHandler", "setActionHandler()")}}</li>
</ul>
